| Home | Libraries | People | FAQ | More

##### push_back

###### Prototype

    template<
        class Container,
        class SinglePassRange
        >
    Container& push_back(Container& target,
                         const SinglePassRange& from);

###### Description

`push_back` all of the elements in the range `from` to the back of the container `target`.

###### Definition

Defined in the header file `boost/range/algorithm_ext/push_back.hpp`

###### Requirements

1. `SinglePassRange` is a model of the Single Pass Range Concept.
2. `Container` supports insert at `end()`.
3. `SinglePassRange`'s value type is convertible to `Container`'s value type.

###### Complexity

Linear. `distance(from)` assignments are performed.